UG/NX 二次开发(C#) 获取两个体的相交体

 ufun方法:UF_MODL_intersect_bodies_with_retained_options

直接上源码:

    public static void Main(string[] args)
    {
        try
        {
            theSession = Session.GetSession();
            displayPart = theSession.Parts.Display;
            theUFSession = UFSession.GetUFSession();
            workPart = theSession.Parts.Work;

            Body bodyblock = (Body)workPart.Bodies.FindObject("BLOCK(1)");
            Body bodyCylinder = (Body)workPart.Bodies.FindObject("CYLINDER(2)");
            Tag tag = Tag.Null;
            theUFSession = UFSession.GetUFSession();

            //获得两个实体的相交体,保留原始目标实体
            theUFSession.Modl.IntersectBodiesWithRetainedOptions(bodyblock.Tag, bodyCylinder.Tag, true, true, out tag);

            string str = ((NXOpen.NXObject)(NXObjectManager.Get(tag))).JournalIdentifier;
            Body targetBody = (Body)workPart.Bodies.FindObject(str);
            Auto_Init.BodyInit init = new Auto_Init.BodyInit(targetBody);
            BodyModel model = init.ProcBody();
        }
        catch (NXOpen.NXException ex)
        {
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
        }
    }

  • 0
    点赞
  • 1
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

MarcoPro

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值